# Interface Connector.SelectedArgument

All Superinterfaces:
  `Connector.Argument, Serializable`

Enclosing interface:
  `Connector`

public static interface Connector.SelectedArgument extends Connector.Argument
Specification for and value of a Connector argument, whose value is a String selected from a list of choices.

Since:
  1.3

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`choices()`
Return the possible values for the argument
`boolean`
`isValid(String value)`
Performs basic sanity check of argument.

### Methods declared in interface Connector.Argument

`description, label, mustSpecify, name, setValue, value`
Modifier and Type
Method
Description
`String`
`description()`
Returns a human-readable description of this argument and its purpose.
`String`
`label()`
Returns a short human-readable label for this argument.
`boolean`
`mustSpecify()`
Indicates whether the argument must be specified.
`String`
`name()`
Returns a short, unique identifier for the argument.
`void`
`setValue(String value)`
Sets the value of the argument.
`String`
`value()`
Returns the current value of the argument.

## Method Details

### choices

List<String> choices()
Return the possible values for the argument

Returns:
  `List` of `String`

### isValid

boolean isValid(String value)
Performs basic sanity check of argument.

Specified by:
  `isValid` in interface `Connector.Argument`
Returns:
  `true` if value is one of `choices()`.